package com.lantone.qc.kernel.catalogue.deathcasediscuss;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAC0097
 * @Description : 死亡患者无死亡记录
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class DEAC0097 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> FirstPageStructure = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String outWay = FirstPageStructure.get(Content.outWay);
            //判断患者是否死亡
            if (CatalogueUtil.isEmpty(outWay) || !outWay.contains("死亡")) {
                return;
            }
            if (inputInfo.getDeathRecordDoc() == null || inputInfo.getDeathRecordDoc().getStructureMap().size() == 0){
                status.set("-1");
            }
        }
    }
}